> 커뮤니티 > 프로그램질문
프로그램질문

인테리어 관련 프로그램(캐드, 맥스, 포토샵, 래빗)에 관한 질문을 올리고 답변이나 도움을 받을 수 있는 게시판입니다. 

원을 4등분하는 리습 수정좀......

안녕하세요.
리습 수정을 부탁하고자 글 올립니다.
첨부한 리습은 원을 4등분하여 호로 만드는 리습인데요.
첨부한 리습을 수정을 하고 싶습니다.

밑에 보시면 색깔이 다른글자를 보시면 circle만 선택이 가능하도록 되어있는데,
이 내용에다가, test레이어 추가 하고 싶니다.

그러니깐, test레이어를 가지고 있는 circle를 선택할려고 하는데,
어떻게 해야 하는지 알려 주시면 감사하겠습니다.




(defun c:CircleToArc ( / cirobj X cirent cirag1 cirag2 )


 (setvar "CMDECHO" 0)


 


 


 (setq cirobj (ssget (list (cons 0 "circle"))))


 (foreach X (vl-remove-if 'listp (mapcar 'cadr (ssnamex cirobj)))


  (setq cirent (entget X))


  (setq cirag1 0)


  (setq cirag2 (/ pi 2.0))


  (repeat 4


   (entmake (LIST (cons 0 "ARC") (cons 10 (cdr (assoc 10 cirent))) (cons 40 (cdr (assoc 40 cirent))) (cons 50 cirag1) (cons 51 cirag2)))


   (setq cirag1 (+ cirag1 (/ pi 2.0)))


   (setq cirag2 (+ cirag2 (/ pi 2.0)))


  )


  (entdel X)


 )


 


 (princ)


)

1 Comments
1 아빠는55 07.07 14:08  
(setq cirobj (ssget (list (cons 0 "circle")(cons 8 "test"))))
제목